#### 9.56.1 Command-line Options

`-z80`

  Produce code for the Z80 processor. By default accepted undocumented operations with halves of index registers (`IXL`, `IXH`, `IYL`, `IYH`) and instuction `IN F,(C)`. Other useful undocumented instructions produces warnings. Undocumented instructions may not work on some CPUs, use them on your own risk.

`-r800`

  Produce code for the R800 processor.

`-z180`

  Produce code for the Z180 processor.

`-ez80`

  Produce code for the eZ80 processor in Z80 memory mode by default.

`-ez80-adl`

  Produce code for the eZ80 processor in ADL memory mode by default.

`-local-prefix=prefix`

  Mark all labels with specified prefix as local. But such label can be marked global explicitly in the code. This option do not change default local label prefix `.L`, it is just adds new one.

`-colonless`

  Accept colonless labels. All names at line begin are treated as labels.

`-sdcc`

  Accept assembler code produced by SDCC.

`-fp-s=FORMAT`

  Single precision floating point numbers format. Default: ieee754 (32 bit).

`-fp-d=FORMAT`

  Double precision floating point numbers format. Default: ieee754 (64 bit).

`-strict`

  Accept documented instructions only.

`-full`

  Accept all known Z80 instructions.

`-with-inst=INST[,...]`
`-Wnins INST[,...]`

  Enable specified undocumented instruction(s).

`-without-inst=INST[,...]`
`-Fins INST[,...]`

  Disable specified undocumented instruction(s).

`-ignore-undocumented-instructions`
`-Wnud`

  Silently assemble undocumented Z80-instructions that have been adopted as documented R800-instructions .

`-ignore-unportable-instructions`
`-Wnup`

  Silently assemble all undocumented Z80-instructions.

`-warn-undocumented-instructions`
`-Wud`

  Issue warnings for undocumented Z80-instructions that work on R800, do not assemble other undocumented instructions without warning.

`-warn-unportable-instructions`
`-Wup`

  Issue warnings for other undocumented Z80-instructions, do not treat any undocumented instructions as errors.

`-forbid-undocumented-instructions`
`-Fud`

  Treat all undocumented z80-instructions as errors.

`-forbid-unportable-instructions`
`-Fup`

  Treat undocumented z80-instructions that do not work on R800 as errors.

Floating point numbers formats.

``ieee754``

  Single or double precision IEEE754 compatible format.

``half``

  Half precision IEEE754 compatible format (16 bits).

``single``

  Single precision IEEE754 compatible format (32 bits).

``double``

  Double precision IEEE754 compatible format (64 bits).

``zeda32``

  32 bit floating point format from z80float library by Zeda.

``math48``

  48 bit floating point format from Math48 package by Anders Hejlsberg.

Known undocumented instructions.

``idx-reg-halves``

  All operations with halves of index registers (`IXL`, `IXH`, `IYL`, `IYH`).

``sli``

  `SLI` or `SLL` instruction. Same as `SLA r; INC r`.

``op-ii-ld``

  Istructions like `<op> (<ii>+<d>),<r>`. For example: `RL (IX+5),C`

``in-f-c``

  Instruction `IN F,(C)`.

``out-c-0``

  Instruction `OUT (C),0`